> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/catalog-api/parameter/dropdown-options-object.md).

# Dropdown Options Object

The “Dropdown” parameter is another “choice” type parameter but confined to a single form element.

<table><thead><tr><th width="173">Field</th><th width="176">Type</th><th>Description</th></tr></thead><tbody><tr><td>name</td><td><code>string</code></td><td><p>Label of the widget. </p><p>Example: Segment</p></td></tr><tr><td>hintText</td><td><code>string</code></td><td><p>Provides help text describing what value is expected in control. </p><p>Example: Define segment value</p></td></tr><tr><td>placeholderText</td><td><code>string</code></td><td><p>(optional) Provides default text within the control when no selection is not made. </p><p>Example: Commercial</p></td></tr><tr><td>description</td><td><code>string</code></td><td><p>(optional) Provides description for the drop down component. </p><p>Example: Define segment value</p></td></tr><tr><td>optionsList</td><td><code>selectionOption</code></td><td><p>Effectively a data source for the parameter options</p><p>component provides drag and drop functionality to determine the ordering of options. </p><p>Example: </p><pre class="language-json" data-overflow="wrap" data-line-numbers><code class="lang-json">[
  {
    "label": "Microsoft Office 365",
    "value": "MsOffice365"
  },
  {
    "label": "Dynamics 365",
    "value": "Dynam365"
  },
  {
    "label": "Windows 11"
    "value": "Win11x64"
  }
]
</code></pre></td></tr><tr><td>defaultValue</td><td><code>string</code></td><td><p>(optional) used to mark default selection if needed (one selection only). </p><p>Example: Win11x64</p></td></tr></tbody></table>

### Example <a href="#example" id="example"></a>

{% code lineNumbers="true" %}

```json
{
  "name": "Which service you are interested in?",
  "hintText": "Select one value",
  "description": "Select interested service",
  "placeholderText": "Select your choice"
  "optionsList": [
    {
      "label": "Microsoft Office 365",
      "value": "MsOffice365"
    },
    {
      "label": "Dynamics 365",
      "value": "Dynam365"
    },
    {
      "label": "Windows 11"
      "value": "Win11x64"
    }
  ],
  "defaultValue": "Dynam365"
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/catalog-api/parameter/dropdown-options-object.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
